//https://github.com/lvl99/less-inline-svg-code

.loading(@width: 35, @height: 35) {
  display: inline-block;
  position: absolute;
  width: ~"@{width}px";
  height: ~"@{height}px";
}

.loadingBaseCode(@-svg-code){
  @-inline-svg-code: ~'data:image/svg+xml,@{-svg-code}';
  @-inline-svg-url: ~"url('@{-inline-svg-code}')";
  background-image: @-inline-svg-url;
}

.loading {

  &-rings {
    .loading();
    @svg-color: @white;
    @-svg-code: escape(~'<svg xmlns="http://www.w3.org/2000/svg" width="45" height="45" viewBox="0 0 45 45" stroke="@{svg-color}"><g transform="translate(1 1)" style="fill:none;stroke-width:2"><circle cx="22" cy="22" r="6"><animate attributeName="r" begin="1.5s" dur="3s" values="6;22" calcMode="linear" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="1.5s" dur="3s" values="1;0" calcMode="linear" repeatCount="indefinite"/><animate attributeName="stroke-width" begin="1.5s" dur="3s" values="2;0" calcMode="linear" repeatCount="indefinite"/></circle><circle cx="22" cy="22" r="6"><animate attributeName="r" begin="3s" dur="3s" values="6;22" calcMode="linear" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="3s" dur="3s" values="1;0" calcMode="linear" repeatCount="indefinite"/><animate attributeName="stroke-width" begin="3s" dur="3s" values="2;0" calcMode="linear" repeatCount="indefinite"/></circle><circle cx="22" cy="22" r="8"><animate attributeName="r" begin="0s" dur="1.5s" values="6;1;2;3;4;5;6" calcMode="linear" repeatCount="indefinite"/></circle></g></svg>');
    .loadingBaseCode(@-svg-code);
  }

  &-ball-triangle {
    .loading();
    @svg-color: @white;
    @-svg-code: escape(~'<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 57 57" stroke="@{svg-color}"><g fill="none"><g transform="translate(1 1)" stroke-width="2"><circle cx="5" cy="50" r="5"><animate attributeName="cy" begin="0s" calcMode="linear" dur="2.2s" repeatCount="indefinite" values="50;5;50;50"/><animate attributeName="cx" begin="0s" calcMode="linear" dur="2.2s" repeatCount="indefinite" values="5;27;49;5"/></circle><circle cx="27" cy="5" r="5"><animate attributeName="cy" begin="0s" calcMode="linear" dur="2.2s" from="5" repeatCount="indefinite" to="5" values="5;50;50;5"/><animate attributeName="cx" begin="0s" calcMode="linear" dur="2.2s" from="27" repeatCount="indefinite" to="27" values="27;49;5;27"/></circle><circle cx="49" cy="50" r="5"><animate attributeName="cy" begin="0s" calcMode="linear" dur="2.2s" repeatCount="indefinite" values="50;50;5;50"/><animate attributeName="cx" begin="0s" calcMode="linear" dur="2.2s" from="49" repeatCount="indefinite" to="49" values="49;5;27;49"/></circle></g></g></svg>');
    .loadingBaseCode(@-svg-code);
  }

  &-puff {
    .loading();
    @svg-color: @white;
    @-svg-code: escape(~'<svg xmlns="http://www.w3.org/2000/svg" width="44" height="44" viewBox="0 0 44 44" stroke="@{svg-color}"><g style="fill:none;stroke-width:2"><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle></g></svg>');
    .loadingBaseCode(@-svg-code);
  }

  &-oval {
    .loading();
    @svg-color: @white;
    @-svg-code: escape(~'<svg xmlns="http://www.w3.org/2000/svg" width="38" height="38" viewBox="0 0 38 38" stroke="@{svg-color}"><g fill="none"><g transform="translate(1 1)" stroke-width="2"><circle cx="18" cy="18" r="18" stroke-opacity="0.5"/><path d="M36 18c0-9.9-8.1-18-18-18"><animateTransform attributeName="transform" type="rotate" from="0 18 18" to="360 18 18" dur="1s" repeatCount="indefinite"/></path></g></g></svg>');
    .loadingBaseCode(@-svg-code);
  }

  /* Next Button */
  &-oval-button {
    top: 4px;
    right: 6px;
    .loading(@width: 25, @height: 25);
    @svg-color: @white;
    @svg-width: 25;
    @svg-height: 25;
    @-svg-code: escape(~'<svg xmlns="http://www.w3.org/2000/svg" width="@{svg-width}" height="@{svg-height}" viewBox="0 0 38 38" stroke="@{svg-color}"><g fill="none"><g transform="translate(1 1)" stroke-width="2"><circle cx="18" cy="18" r="18" stroke-opacity="0.5"/><path d="M36 18c0-9.9-8.1-18-18-18"><animateTransform attributeName="transform" type="rotate" from="0 18 18" to="360 18 18" dur="1s" repeatCount="indefinite"/></path></g></g></svg>');
    .loadingBaseCode(@-svg-code);
  }

  /* Comments Loading */
  &-oval-comments-loading {
    left: -15px;
    top: 20px;
    .loading(@width: 25, @height: 25);
    @svg-color: @greenBase;
    @svg-width: 25;
    @svg-height: 25;
    @-svg-code: escape(~'<svg xmlns="http://www.w3.org/2000/svg" width="@{svg-width}" height="@{svg-height}" viewBox="0 0 38 38" stroke="@{svg-color}"><g fill="none"><g transform="translate(1 1)" stroke-width="2"><circle cx="18" cy="18" r="18" stroke-opacity="0.5"/><path d="M36 18c0-9.9-8.1-18-18-18"><animateTransform attributeName="transform" type="rotate" from="0 18 18" to="360 18 18" dur="1s" repeatCount="indefinite"/></path></g></g></svg>');
    .loadingBaseCode(@-svg-code);
  }

  &-tail-spin {
    .loading();
    @svg-color: @white;
    @-svg-code: escape(~'<svg xmlns="http://www.w3.org/2000/svg" width="38" height="38" viewBox="0 0 38 38"><defs><linearGradient x1="8" x2="65.7" y2="23.9"><stop stop-color="@{svg-color}" offset="0%" stop-opacity="0"/><stop stop-color="@{svg-color}" offset="63.146%" stop-opacity="0.6"/><stop stop-color="@{svg-color}" offset="100%"/></linearGradient></defs><g fill="none"><g transform="translate(1 1)"><path d="M36 18c0-9.9-8.1-18-18-18" style="stroke-width:2;stroke:url(#a)"><animateTransform attributeName="transform" type="rotate" from="0 18 18" to="360 18 18" dur="0.9s" repeatCount="indefinite"/></path><circle cx="36" cy="18" r="1" fill="@{svg-color}"><animateTransform attributeName="transform" type="rotate" from="0 18 18" to="360 18 18" dur="0.9s" repeatCount="indefinite"/></circle></g></g></svg>');
    .loadingBaseCode(@-svg-code);
  }

}

// Button
.active-loading {
  position: relative;
  padding-right: 40px !important;
}


#transfers-next-button,
#preview-link-button,
#submit-strimi-link {
  position: relative;
}